> For the complete documentation index, see [llms.txt](/llms.txt).

# Invite partner developer

**POST** `https://www.iwoca.co.uk/api/lending/v2.2/partner_developer_invite/`

Grant your developers access to the developer portal. Sends an email to the provided address, containing a link inviting the recipient to create an account under your organisation on the iwoca developer portal, where they can manage your API integration. They will be able to see your API token, so you must not invite untrusted email addresses.

## Body
```json
{
  "data": {
    "email": "name@example.com"
  }
}
```

### Body fields
- `data` (object, required)
- `data.email` (string, required)

## Responses
### 201 — success

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 409 — Conflict
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl https://www.iwoca.co.uk/api/lending/v2.2/partner_developer_invite/ \
  --request POST \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "email": "name@example.com"
  }
}'
```